org.modeshape.jcr.query.xpath

## Class XPath.Comparison

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPath.Component
  - - org.modeshape.jcr.query.xpath.XPath.BinaryComponent
    - - org.modeshape.jcr.query.xpath.XPath.Comparison

- Enclosing class:
    XPath

      public static class XPath.Comparison
      extends XPath.BinaryComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath.Comparison(XPath.Component left, Operator operator, XPath.Component right)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XPath.Component` | `collapse()` Return the collapsable form
    `boolean` | `equals(Object obj)`
    `Operator` | `getOperator()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.query.xpath.XPath.BinaryComponent

      `getLeft, getRight`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPath.Comparison

          public XPath.Comparison(XPath.Component left,
                          Operator operator,
                          XPath.Component right)

  - ### Method Detail

    - #### getOperator

          public Operator getOperator()

    - #### collapse

          public XPath.Component collapse()

      Description copied from class: `XPath.Component`
      Return the collapsable form
      Overrides:
        `collapse` in class `XPath.Component`
      Returns:
        the collapsed form of th is component; never null and possibly the same as this

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.